%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 18 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 2
Release:	%{REL}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 18 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Tue Dec  9 2014 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Rebuilt all kernel modules by specifying the correct KVER value.

* Mon Jun 2 2014 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Kernel modules are available for the following kernels:
		3.6.10-4     3.7.4-204   3.7.5-201   3.7.6-201   3.7.7-201
		3.7.8-202    3.7.9-201   3.7.9-205   3.8.1-201   3.8.2-206
		3.8.3-201    3.8.3-203   3.8.4-202   3.8.5-201   3.8.6-203
		3.8.7-201    3.8.8-202   3.8.8-203   3.8.9-200   3.8.11-200
		3.9.2-200    3.9.4-200   3.9.5-201   3.9.6-200   3.9.9-201
		3.9.10-200   3.9.11-200  3.10.4-100  3.10.6-100  3.10.7-100
		3.10.9-100   3.10.10-100 3.10.11-100 3.10.12-100 3.10.13-101
		3.10.14-100  3.11.4-101  3.11.7-100  3.11.9-100  3.11.10-100
